# Class k.u.w.l.ProxyLabel(PropertyObject, gtk.Label, ProxyWidgetMixin):

Part of kiwi.ui.widgets.label View In Hierarchy

Known subclasses: kiwi.ui.widgets.label.Label

No class docstring

Method | __init__ | Create a new ProxyLabel object.
Method | prop_set_data_type | Set the data type for the widget
Class Method | replace | Undocumented
Method | _on_label_changed | Undocumented
Method | read | Get the content of the widget.
Method | update | Update the content value of the widget.
Method | _apply_attributes | Undocumented
Method | _set_text_attribute | Undocumented
Method | set_bold | If True set the text to bold. False sets the text to normal
Method | set_italic | Enable or disable italic text
Method | set_underline | Enable or disable underlined text
Method | set_size | Set the size of the label. If size is empty the label will be
Method | set_text | Overrides gtk.Label set_text method. Sets the new text of
Method | set_color | Undocumented

Inherited from PropertyObject:

Class Method | __class_init__ | Undocumented
Method | __post_init__ | A hook which is called after the constructor is called.
Method | _set | Undocumented
Method | _get | Undocumented
Method | get_attribute_names | Undocumented
Method | is_default_value | Undocumented
Method | do_set_property | Undocumented
Method | do_get_property | Undocumented

Inherited from ProxyWidgetMixin:

Method | set_data_format | Undocumented
Method | set_options_for_datatype | Set some options to be passed to the datatype converter.
Method | _as_string | Convert a value to a string
Method | _from_string | Convert a string to the data type of the widget

def __init__(self, label='', data_type=None):
overrides kiwi.utils.PropertyObject.__init__
overridden in kiwi.ui.widgets.label.Label
Create a new ProxyLabel object.

Parameters | label | initial text
| data_type | data type of label

def prop_set_data_type(self, data_type):
overrides kiwi.ui.proxywidget.ProxyWidgetMixin.prop_set_data_type
Set the data type for the widget

Parameters | data_type | can be None, a type object or a string with the name of the type object, so None, "<type 'str'>" or 'str'

@classmethod
def replace(cls, markup, value):
Undocumented
def _on_label_changed(self, label, param):
Undocumented
def read(self):
overrides kiwi.ui.proxywidget.ProxyWidgetMixin.read
Get the content of the widget. The type of the return value

Returns | None if the user input a invalid value (type: Must matche the data-type property. )

def update(self, data):
overrides kiwi.ui.proxywidget.ProxyWidgetMixin.update
Update the content value of the widget.

Parameters | value |

def _apply_attributes(self):
Undocumented
def _set_text_attribute(self, attribute_name, attr, value):
Undocumented
def set_bold(self, value):
If True set the text to bold. False sets the text to normal

def set_italic(self, value):
Enable or disable italic text

Parameters

value

Allowed values:

- True: enable Italic attribute
- False: disable Italic attribute

def set_underline(self, value):
Enable or disable underlined text

Parameters

value

Allowed values:

- True: enable Underline attribute
- Fase: disable Underline attribute

def set_size(self, size=None):
Set the size of the label. If size is empty the label will be set to the default size.

Parameters

size

Allowed values:

- xx-small
- x-small
- small
- medium,
- large
- x-large
- xx-large

(type: string )

def set_text(self, text):
Overrides gtk.Label set_text method. Sets the new text of the label but keeps the formating

Parameters | text | label (type: string )

def set_color(self, color):
Undocumented